Debian Bug report logs - #705550
PTS: provide more accessible package description

version graph

Package: qa.debian.org; Maintainer for qa.debian.org is debian-qa@lists.debian.org;

Reported by: Antoine Beaupré <anarcat@debian.org>

Date: Tue, 16 Apr 2013 15:51:01 UTC

Severity: wishlist

Fixed in version 2971

Done: Paul Wise <pabs@alioth.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#705550; Package qa.debian.org. (Tue, 16 Apr 2013 15:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
New Bug report received and forwarded. Copy sent to debian-qa@lists.debian.org. (Tue, 16 Apr 2013 15:51:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: PTS: provide more accessible package description
Date: Tue, 16 Apr 2013 11:49:13 -0400
Package: qa.debian.org
Severity: wishlist

It would be nice if the PTS would make binary packages descriptions
available more easily. I have grown really familiar with the
interface, but I remember the first times I encountered it - it was a
real WTF. Having a broad description of the binary packages available
there would improve the display a lot.

As things stand, to understand what a package is, you need to
understand intricates of Debian packaging, specifically the strong
distinction between source and binary packages, something that took a
long time for me to grasp properly (in fact, I almost made this bug
report just asking for the package description on top before
remembering that was not possible ;).

I can think of a few ideas:

 1. display the synopsis of the description in the binary package listing

 2. display the full description of all binary packages somewhere on the page

 3. make that description available on a single click (right now, you
    need to click through the source package listing on packages.d.o
    to get to the binary package description)

I see the PTS page as a great "homepage" for the package, much better
than what you find on packages.d.o, as there is more information, but
it's clearly lacking in basic information. And I feel it's wrong to
link to the packages.d.o pages since those are
distribution-specific...

Thanks!

-- System Information:
Debian Release: 7.0
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-4-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_CA.UTF-8, LC_CTYPE=fr_CA.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to fr_CA.UTF-8)
Shell: /bin/sh linked to /bin/dash



Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#705550; Package qa.debian.org. (Tue, 16 Apr 2013 16:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Tue, 16 Apr 2013 16:39:04 GMT) Full text and rfc822 format available.

Message #10 received at 705550@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Antoine Beaupré <anarcat@debian.org>, 705550@bugs.debian.org
Subject: Re: Bug#705550: PTS: provide more accessible package description
Date: Wed, 17 Apr 2013 00:35:31 +0800
On Tue, Apr 16, 2013 at 11:49 PM, Antoine Beaupré wrote:

> It would be nice if the PTS would make binary packages descriptions
> available more easily.

I think we need some more details or maybe a mockup/screenshot of the
suggested changes.

> I almost made this bug report just asking for the package
> description on top before remembering that was not possible

We could actually do that for single-binary source packages - just
take the description from the unstable version of the single binary
package.

>  1. display the synopsis of the description in the binary package listing

They are in the title attribute of the binary package links already,
how would you suggest to change that?

>  2. display the full description of all binary packages somewhere on the page

I think that full descriptions in general are too large to fit on the
page. Perhaps we could insert some sort of JavaScript or CSS based
popup that would show up when you click on a button/info link next to
the binary package names. Alternatively we could turn the binary
package links into links to the sid/unstable page for the binary
package.

>  3. make that description available on a single click (right now, you
>     need to click through the source package listing on packages.d.o
>     to get to the binary package description)

That could be done by my suggestion above of turning the binary
package links into links to the sid/unstable (or whatever dist they
are available in) page for the binary package. Would that do the
trick?

> I see the PTS page as a great "homepage" for the package, much better
> than what you find on packages.d.o, as there is more information, but
> it's clearly lacking in basic information. And I feel it's wrong to
> link to the packages.d.o pages since those are
> distribution-specific...

Binary package descriptions are inherently distribution-specific and
the PTS is mainly aimed at unstable and at people developing Debian
(especially the maintainers), while packages.d.o contains only
information for users.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise



Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#705550; Package qa.debian.org. (Tue, 16 Apr 2013 17:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Tue, 16 Apr 2013 17:18:05 GMT) Full text and rfc822 format available.

Message #15 received at 705550@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: Paul Wise <pabs@debian.org>, 705550@bugs.debian.org
Subject: Re: Bug#705550: PTS: provide more accessible package description
Date: Tue, 16 Apr 2013 13:14:56 -0400
[Message part 1 (text/plain, inline)]
On 2013-04-16, Paul Wise wrote:
> On Tue, Apr 16, 2013 at 11:49 PM, Antoine Beaupré wrote:
>
>> It would be nice if the PTS would make binary packages descriptions
>> available more easily.
>
> I think we need some more details or maybe a mockup/screenshot of the
> suggested changes.

I provide some more clarification below, let me know if you want me to
make a mockup, and I will.

>> I almost made this bug report just asking for the package
>> description on top before remembering that was not possible
>
> We could actually do that for single-binary source packages - just
> take the description from the unstable version of the single binary
> package.

That would be pretty cool.

>>  1. display the synopsis of the description in the binary package listing
>
> They are in the title attribute of the binary package links already,
> how would you suggest to change that?

Make it visible more clearly, maybe a <small> line below the link?

>>  2. display the full description of all binary packages somewhere on the page
>
> I think that full descriptions in general are too large to fit on the
> page. Perhaps we could insert some sort of JavaScript or CSS based
> popup that would show up when you click on a button/info link next to
> the binary package names. Alternatively we could turn the binary
> package links into links to the sid/unstable page for the binary
> package.

Way I see it, this could be smack in the middle of the page, either on
top (if we really want to make this a homepage) or at the bottom (if we
want to keep the PTS dev-specific) of the middle pane.

>>  3. make that description available on a single click (right now, you
>>     need to click through the source package listing on packages.d.o
>>     to get to the binary package description)
>
> That could be done by my suggestion above of turning the binary
> package links into links to the sid/unstable (or whatever dist they
> are available in) page for the binary package. Would that do the
> trick?

Yes, that would!

>> I see the PTS page as a great "homepage" for the package, much better
>> than what you find on packages.d.o, as there is more information, but
>> it's clearly lacking in basic information. And I feel it's wrong to
>> link to the packages.d.o pages since those are
>> distribution-specific...
>
> Binary package descriptions are inherently distribution-specific [...]

They are, but they shouldn't vary that much between different
distributions. "mysql-server" is pretty much the same thing, from woody
to wheezy... The wording can vary, but the general description should be
generally useful regardless of the distribution.

> [...] and the PTS is mainly aimed at unstable and at people developing
> Debian (especially the maintainers), while packages.d.o contains only
> information for users.

Yeah well I guess this is where I beg to differ. :) I don't like to have
those artificial limits. While the output of the PTS looks really
technical, and I am fine with that, a little nudge would make it useful
for a wider range of users.

For example, my use case is for technical documentation, where as a
system administrator I want to have an HTTP link to a "debian
package". Linking to the p.d.o page in sid /could/ work, but will break
once it is removed from sid (if ever) for example, while the PTS page
sticks around. Also, as you said, the p.d.o is for "users" (I am
thinking of a desktop user here), not "administrators" (like me,
regardless of the fact that I'm also a DD).

I find the PTS page useful for much more than "developers" - it is very
useful to have a quick overview of all the versions of the package in
backports, sid, etc, the number of bugs opened, if a new upstream
version is available, who to contact for problems, etc. This is all
stuff that sysadmins use and need on a regular basis in dealing with
debian packages as "products", and i find the PTS especially useful for
that.

Just adding the description on top would make that so more useful! :)

Thanks for the quick response.

A.
-- 
Instead of worrying about what somebody else is going to do, which is
not under your control, the important thing is, what are you going to
decide about what is under your control?
                         - Richard Stallman
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#705550; Package qa.debian.org. (Wed, 17 Apr 2013 05:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Wed, 17 Apr 2013 05:03:04 GMT) Full text and rfc822 format available.

Message #20 received at 705550@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Antoine Beaupré <anarcat@debian.org>, 705550@bugs.debian.org
Subject: Re: Bug#705550: PTS: provide more accessible package description
Date: Wed, 17 Apr 2013 13:01:36 +0800
On Wed, Apr 17, 2013 at 1:14 AM, Antoine Beaupré wrote:
> On 2013-04-16, Paul Wise wrote:
>> On Tue, Apr 16, 2013 at 11:49 PM, Antoine Beaupré wrote:
>>> I almost made this bug report just asking for the package
>>> description on top before remembering that was not possible
>>
>> We could actually do that for single-binary source packages - just
>> take the description from the unstable version of the single binary
>> package.
>
> That would be pretty cool.

Added, until the next cron job, you can see that in action on these two pages:

http://packages.qa.debian.org/i/iotop.html
http://packages.qa.debian.org/w/warzone2100.html

It is based on two heuristics:

If there is only one binary package, the source package gets the same
description.

If there is a binary package with the same name as the source package,
the source package gets the same description as it.

If you have any ideas for more heuristics, please let me know.

Here are a couple from IRC, thoughts?

<themill> source package foo has binary package libfooX?
<pabs> hmm, I wonder which of libfooX or libfoo-dev is generally the
better synopsis
<themill> pruning off " - .+" at the end of the description when
there's more than one binary package?

> Make it visible more clearly, maybe a <small> line below the link?

Hmm, I think for source packages with lots of binary packages this
could be problematic. I've implemented a compromise, if there are less
than 5 binary packages then the descriptions get shown, examples until
the cron job runs:

http://packages.qa.debian.org/i/iotop.html
http://packages.qa.debian.org/w/warzone2100.html

> Way I see it, this could be smack in the middle of the page, either on
> top (if we really want to make this a homepage) or at the bottom (if we
> want to keep the PTS dev-specific) of the middle pane.

Hmm, I think this is a bit more problematic, the PTS is already pretty
space-starved.

>> That could be done by my suggestion above of turning the binary
>> package links into links to the sid/unstable (or whatever dist they
>> are available in) page for the binary package. Would that do the
>> trick?
>
> Yes, that would!

Implemented, with priority unstable experimental testing stable
oldstable, examples until the cron job runs:

http://packages.qa.debian.org/i/iotop.html
http://packages.qa.debian.org/w/warzone2100.html

> Yeah well I guess this is where I beg to differ. :) I don't like to have
> those artificial limits. While the output of the PTS looks really
> technical, and I am fine with that, a little nudge would make it useful
> for a wider range of users.

Hmm ok. I'm fine with any changes as long as they don't make the PTS
less useful for what I consider the primary audience -
maintainers/uploaders/NMUers/sponsors of the source packages shown.

> For example, my use case is for technical documentation, where as a
> system administrator I want to have an HTTP link to a "debian
> package". Linking to the p.d.o page in sid /could/ work, but will break
> once it is removed from sid (if ever) for example, while the PTS page
> sticks around. Also, as you said, the p.d.o is for "users" (I am
> thinking of a desktop user here), not "administrators" (like me,
> regardless of the fact that I'm also a DD).

I generally class "administrators" as "users" too.

> I find the PTS page useful for much more than "developers" - it is very
> useful to have a quick overview of all the versions of the package in
> backports, sid, etc, the number of bugs opened, if a new upstream
> version is available, who to contact for problems, etc. This is all
> stuff that sysadmins use and need on a regular basis in dealing with
> debian packages as "products", and i find the PTS especially useful for
> that.

Makes sense.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise



Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#705550; Package qa.debian.org. (Wed, 17 Apr 2013 14:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Wed, 17 Apr 2013 14:18:04 GMT) Full text and rfc822 format available.

Message #25 received at 705550@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: Paul Wise <pabs@debian.org>, 705550@bugs.debian.org
Subject: Re: Bug#705550: PTS: provide more accessible package description
Date: Wed, 17 Apr 2013 10:15:12 -0400
[Message part 1 (text/plain, inline)]
On 2013-04-17, Paul Wise wrote:
> On Wed, Apr 17, 2013 at 1:14 AM, Antoine Beaupré wrote:
>> On 2013-04-16, Paul Wise wrote:
>>> On Tue, Apr 16, 2013 at 11:49 PM, Antoine Beaupré wrote:
>>>> I almost made this bug report just asking for the package
>>>> description on top before remembering that was not possible
>>>
>>> We could actually do that for single-binary source packages - just
>>> take the description from the unstable version of the single binary
>>> package.
>>
>> That would be pretty cool.
>
> Added, until the next cron job, you can see that in action on these two pages:
>
> http://packages.qa.debian.org/i/iotop.html
> http://packages.qa.debian.org/w/warzone2100.html
>
> It is based on two heuristics:
>
> If there is only one binary package, the source package gets the same
> description.
>
> If there is a binary package with the same name as the source package,
> the source package gets the same description as it.
>
> If you have any ideas for more heuristics, please let me know.
>
> Here are a couple from IRC, thoughts?
>
> <themill> source package foo has binary package libfooX?
> <pabs> hmm, I wonder which of libfooX or libfoo-dev is generally the
> better synopsis
> <themill> pruning off " - .+" at the end of the description when
> there's more than one binary package?

I wouldn't bother with too complicated heuristics here. I like your
basic idea, we could even look at the first description in
debian/control... 

>> Make it visible more clearly, maybe a <small> line below the link?
>
> Hmm, I think for source packages with lots of binary packages this
> could be problematic. I've implemented a compromise, if there are less
> than 5 binary packages then the descriptions get shown, examples until
> the cron job runs:
>
> http://packages.qa.debian.org/i/iotop.html
> http://packages.qa.debian.org/w/warzone2100.html

Cool. I don't see a problem with having descriptions beyond 5 packages,
but I don't object to the compromise.

>> Way I see it, this could be smack in the middle of the page, either on
>> top (if we really want to make this a homepage) or at the bottom (if we
>> want to keep the PTS dev-specific) of the middle pane.
>
> Hmm, I think this is a bit more problematic, the PTS is already pretty
> space-starved.

really? The whole thing fits in a single window pane for me here on most
packages, adding a little blurb wouldn't hurt too much.. ;)

Here's an example with the description on top:

http://paste.anarcat.ath.cx/iotop.html

... and on the side:

http://paste.anarcat.ath.cx/iotop-side.html

... which makes me think: maybe that could be a collapsible pop-up or
something - here's something with <abbrev>:

http://paste.anarcat.ath.cx/iotop-abbrev.html

>> For example, my use case is for technical documentation, where as a
>> system administrator I want to have an HTTP link to a "debian
>> package". Linking to the p.d.o page in sid /could/ work, but will break
>> once it is removed from sid (if ever) for example, while the PTS page
>> sticks around. Also, as you said, the p.d.o is for "users" (I am
>> thinking of a desktop user here), not "administrators" (like me,
>> regardless of the fact that I'm also a DD).
>
> I generally class "administrators" as "users" too.

I agree they are also "users", but I think it's a good idea to
distinguish between them.

Thanks for the improvements!

-- 
It is better to sit alone than in company with the bad; and it is better
still to sit with the good than alone. It better to speak to a seeker of
knowledge than to remain silent; but silence is better than idle words.
                        - Imam Bukhari
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Paul Wise <pabs@alioth.debian.org>:
You have taken responsibility. (Sat, 20 Apr 2013 12:21:05 GMT) Full text and rfc822 format available.

Notification sent to Antoine Beaupré <anarcat@debian.org>:
Bug acknowledged by developer. (Sat, 20 Apr 2013 12:21:05 GMT) Full text and rfc822 format available.

Message #30 received at 705550-done@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@alioth.debian.org>
To: 705550-done@bugs.debian.org
Subject: qa.debian.org bug fixed in revision 2971
Date: Sat, 20 Apr 2013 12:16:10 +0000
Version: 2971

This bug was closed by Paul Wise (pabs) in SVN revision 2971.
Note that it might take some time until the qa.debian.org code has
been updated and cronjobs have picked up changed data.

Commit message:

Add long descriptions to the PTS (Closes: #705550)

The code uses UDD and long descriptions are semi-broken right now (#705580)





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 19 May 2013 07:28:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:12:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.